Skip to content

Invoice/Credit Notes

GET
/api/v1/billing/transactions/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/billing/transactions/?type=<TYPE>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Fetches billing transactions and generated invoices, with support for filtering by billing type like invoices and credit_notes, project, and location.

type
required
string
Allowed values: invoice credit_notes

Type of transaction (invoice or credit_notes)

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

page_no
integer

The page number from which you want your page search results to be displayed.

per_page
integer

Number of results per page

Successful billing transactions response

Media typeapplication/json
object
code
integer
data
object
items
Array
errors
object
message
string
total_page_number
integer
total_count
integer

Example

{
"code": 200,
"errors": {},
"message": "Success",
"total_page_number": 1,
"total_count": 0
}